C------------------------------------------------
      FUNCTION RETRKLEV2(evno)
C------------------------------------------------
C     Written by Emiliano Mocchiutti
C     v. 0.2
C
      INCLUDE 'COMMON2.TXT'
      integer retrklev2, evno, ierr
      REAL hmemor(9000000)
      integer Iquest(100)    
      COMMON /pawc/hmemor
      save /pawc/
      Common /QUEST/ Iquest
      save /quest/

C         
C     change here if you changed the ntuple id number
C
      retrklev2 = 0
      call HCDIR('//LEVEL2',' ')
      call HGNT(42,evno,ierr)
      if (ierr.ne.0) print *,'Error reading tracker ntuple'
c      if (ntrk.eq.1) print *,' RIG = ',1./al(5,1)
c      print *,' OBT = ',obt
C
      RETURN
      END


